# Summary
* [Introduction](intro.md)
    * [Threat Model](threat-model.md)
    * [Selecting a Quorum](selecting-quorum.md)
    * [System Roles](system-roles.md)
    * [Software](software.md)
    * [Hardware](hardware.md)
    * [Glossary](glossary.md)
    * [Location](locations.md)
* [Generated Documents]()
    * [Root Entropy Generation]()
        * [Ceremony Log Template](ceremony-log-template.md)
        * [Root Entropy Ceremonies](root-entropy-ceremonies.md)
            * [Local Key Provisioning](local-key-provisioning.md)
            * [Hybrid Key Provisioning](hybrid-key-provisioning.md)
            * [Remote Key Provisioning](remote-key-provisioning.md)
        * [Additional Key Ceremonies]()
            * [Operator Key Provisioning](operator-key-provisioning.md)
            * [Location Key Provisioning](location-key-provisioning.md)
    * [Level 1]()
    * [Level 2]()
        * [Fixed-Location]()
            * [Provisioner](system-roles.md)
                * [Procure Equipment & Location](generated-documents/level-2/fixed-location/provisioner/procure-equipment-and-location.md)
                * [Ceremony Repository](generated-documents/level-2/fixed-location/provisioner/ceremonies-repository.md)
                * [Keychain Repository](generated-documents/level-2/fixed-location/provisioner/keychain-repository.md)
            * [Proposer](system-roles.md)
                * [Propose Transaction](generated-documents/level-2/fixed-location/proposer/create-transaction-payload.md)
            * [Approver](system-roles.md)
                * [Transaction Approval](generated-documents/level-2/fixed-location/approver/approve-transaction.md)
            * [Operator](system-roles.md)
                * [PYTH-SLN - Sign Transaction](generated-documents/level-2/fixed-location/operator/coins/pyth-spl/sign-transaction.md)
    * [Level 3]()
    * [Level 4]()
* [Document Components]()
    * [Ceremony Repository](./component-documents/ceremony-repository.md)
    * [Keychain Repository](./component-documents/keychain-repository.md)
    * [Git Commit Signing](./component-documents/git-commit-signing.md)
    * [GUI Git Commit](./component-documents/gui-git-commit.md)
    * [OpenPGP Setup](./component-documents/openpgp-setup.md)
    * [Verifying Signatures](./component-documents/verifying-signatures.md)
    * [Tamper Evidence Methods](./component-documents/tamper-evidence-methods.md)
    * [Change Smart Card PINs](./component-documents/setting-smart-card-pins.md)
    * [Online Machine Provisioning](online-machine-provisioning.md)
    * [Destroying Hardware](./component-documents/hardware-destruction.md)
    * [Storage Device Management](./component-documents/storage-device-management.md)
    * [Procure Hardware](./component-documents/hardware-procurement-and-chain-of-custody.md)
    * [Online Artifact Storage](./component-documents/public-ceremony-artifact-storage.md)
    * [Physical Artifact Storage](./component-documents/physical-artifact-storage.md)
    * [`autorun.sh` Setup](./component-documents/autorun-sh-setup.md)