/* ANCHOR: all */
# Keychain Repository
// ANCHOR: content
This repository contains the trusted keys for the organization.

## Directives

* MUST be a private repository

* MUST require signed commits

## Repository Structure
```
trusted-keys/
    proposers/
        <key_id>/
            pub.asc
            sig_1.asc
            sig_2.asc
    approvers/
    operators/
```

## Procedure: Setting up Repository

{{ #include ./git-repository-initialization.md:procedure }}

## Procedure: Adding OpenPGP Keys 

1. Designate the role of the key - it should be placed into the corresponding role directory

1. Open a PR submitting the key to the repository

    * MUST be via commit signed by the PGP key being submitted to the repository

1. Two other authorized individuals (TODO define how they are authorized) must provide detached PGP signatures of the key being submitted

1. The PR should be merged using a signed commit via the git CLI
// ANCHOR_END: content
/* ANCHOR_END: all */
